%m-file used to plot an x-y surface plot.
% DATA MUST BE SAVED X,Y,DENS
function initial(filename)

data=load(filename);

set(gcf,'position',[1 1 531 1000]);

%a = subplot('position',[0.08 0.52 0.88 0.45]);
%subimage(a)
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
z=griddata(data(:,1),data(:,2),data(:,3),x,y);
surf(rangex,rangey,z);
ax=surf(rangex,rangey,z)
snap1 = surf(rangex,rangey,z);
axis off
set(gca, 'XLim', [-3 0], 'YLim', [0 3],'PlotBoxAspectRatio', [1 1 1],'fontsize',20);
view(0,90);
shading interp
lighting gouraud
caxis([-800,800])
%colormap(jet);
%H=colorbar('Ylim',[-800 800],'Ytick',[-800 800],'FontName','symbol','fontsize',20);

hold on
i=0;
for th = 0:pi/50:2*pi;
i=1+i;
xunit(i) = 2.2 * cos(th);
yunit(i) = 2.2 * sin(th);
zunit(i)= max(z(:));
end
plot3(xunit,yunit,zunit,'k--','Linewidth',3)

i=0;
for th = 0:pi/50:2*pi;
i=1+i;
xunit(i) = 1.5 * cos(th);
yunit(i) = 1.5 * sin(th);
zunit(i)= max(z(:));
end
plot3(xunit,yunit,zunit,'k--','Linewidth',3)
hold off

















